#!/bin/bash

echo
echo
echo
echo "Creating OpenArena Slackware Package..."
echo "Please wait..."
echo

(
    cd /opt/openarena_autobuilder || exit 1
    rm *.t?z 2>/dev/null
    bash openarena.SlackBuild --cleanup
)

echo
echo
echo
echo "Package created!!"
echo
echo "Installing... Please wait..."
echo

(
    cd /opt/openarena_autobuilder || exit 1
    if [ -e *.t?z ]; then
        upgradepkg --install-new *.t?z
        echo
        echo
        echo
        echo "Package installed!!"
        rm -R /opt/openarena_autobuilder/*
    else
        echo
        echo
        echo
        echo "Error creating package!!!"
    fi
)

echo

